L’installation de macOS High Sierra bloque chez plusieurs utilisateurs

Nicolas Furno |

Les serveurs d’Apple qui distribuent les fichiers indispensables à l’installation de macOS High Sierra ont peut-être quelques soucis depuis hier. Un lecteur nous a contacté pour nous indiquer qu’il n’arrivait pas à terminer l’installation du système sur son Mac. Un message d’erreur signale que certains « éléments importants […] ne peuvent pas être téléchargés pour le moment. » et la seule solution proposée est de recommencer ultérieurement.

Ce problème est également signalé à plusieurs reprises dans nos forums, trop souvent pour ne pas dire qu’il y a un problème du côté d’Apple. Et ce n’est pas un souci uniquement français, ou même européen, puisque l’on a au moins cet internaute américain qui se plaint du même problème sur les réseaux sociaux.

Pour l’heure, Apple n’a pas communiqué sur un bug lié à ses serveurs de mises à jour. S’agit-il d’un souci de distribution sur le CDN utilisé par la firme ? D’un certificat périmé peut-être ? Quoi qu’il en soit, si vous essayez d’installer macOS High Sierra et que vous voyez ce message d’erreur, sachez que ce n’est a priori pas de la faute de votre connexion ou de votre réseau local. Patienter semble être la seule solution pour le moment.

avatar petergab | 

Il faut surtout vérifier que la machine a bien chargé l'OS en entier avant installation (plus de 5Go), j'ai eu plusieurs tentatives d'installation avortées et en regardant l'installateur, il ne pesait que quelques centaines de kilos...

avatar Jeckill13 | 

Déjà rencontré sur le Mac d’une amie, la seule solution qui a permis la fin de l’installation a été de recommencer l’installation en utilisant une clé bootable préalablement créé avec un autre Mac.

avatar petergab | 

Un Mac identique je suppose, car il me semblait qu'il y avait des versions particulières pour chaque Mac. Si quelqu'un a une info précise sur le sujet...

avatar Jeckill13 | 

@petergab

Euh non j’ai fait ma clé bootable depuis un MacBook Pro TB et l’installation sur un iMac mi 2012.

avatar r e m y | 

@petergab

Lors de la 1ère installation de HighSierra sur un Mac, pendant l'installation (à partir de l'installeur qui est totalement universel) est téléchargé, en plus, une mise à jour du Firmware (spécifique au Mac sur lequel on est en train d'installer HS) permettant à ce Mac de savoir démarrer sur un disque formatté en APFS.

Je pense d'ailleurs que c'est le serveur qui fournit ces mises à jour de Firmware qui connaît des soucis, car c'est la seule chose que l'installeur de HighSierra ait besoin de télécharger si on utilise bien un installeur préalablement téléchargé dans le dossier Applications.

avatar C1rc3@0rc | 

@r e m y

«Je pense d'ailleurs que c'est le serveur qui fournit ces mises à jour de Firmware qui connaît des soucis»

A priori ce n'est pas le probleme de recuperer un composant de l'installation mais c'est un probleme dans la determination de ce qu'il faut recuperer.

MacOS a un installateur qui verifie son integrité avant de lancer l'installation. Ici il apparait que c'est apres le lancement de la procedure d'installation que le probleme apparait.
Il semble donc que le bug provient soit d'une modification de la procedure d'installation, soit dans la procedure de reconnaissance de la machine.

La question est de savoir maintenant si le probleme apparait avec un combo update, qui serait alors un tres gros probleme.

La discussion entre l'utilisateur americain et Apple est edifiante: «
Let's work together and figure out what's going on with this High Sierra update. Are you currently trying to download it over a Wi-Fi network, or ethernet? If you're using a Wi-Fi connection, you'll want to make sure it's a secure network.
...»

D'une part un Wifi ne peut jamais etre securisé et d'autre part l'installateur d'Apple est censé chiffrer les données. Enfin etait jusqu'a aujourd'hui.

S'il s'agit d'un changement de procedure d'analyse de la machine pour personnaliser MacOS progressivement ça va pas s'ameliorer.

Vivement que MacOS 10.14 arrive et qu'Apple abandonne beaucoup de travers responsables des aberrations de MacOS HS.

avatar r e m y | 

@C1rc3@0rc

Peu importe que ce soit le téléchargement du Firmware ou simplement l'identification de la machine pour déterminer le bon Firmware à télécharger, ça revient au même et c'est bien cette phase qui coinçait (a priori c'est rentré dans l'ordre).
Ce Firmware est la seule chose que l'installeur de HighSierra ait besoin de télécharger. D'ailleurs sur un Mac ayant déjà connu une installation de HighSierra (dont le Firmware est donc déjà à jour), nul besoin d'un accès internet pour que l'installation se fasse.

Quant à la vérification d'intégrité, ça passe par un certificat embarqué avec l'installeur et dont la vérification n'a pas non plus besoin d'un accès internet.

Dernier point, HighSierra s'installe sans aucune personnalisation liée à la machine sur laquelle il s'installe (hors de cette mise à jour de Firmware pour donner au Mac la capacité à démarrer sur un disque APFS). On y reviendra peut-être un jour come du temps des versions pre-MacOS X de l'OS, mais ce n'est pas le cas aujourd'hui. Un HighSierra installé sur un disque externe peut tourner sur n'importe quel modèle de Mac (acceptant HS).

avatar C1rc3@0rc | 

@r e m y

«Peu importe que ce soit le téléchargement du Firmware ou simplement l'identification de la machine pour déterminer le bon Firmware à télécharger, ça revient au même et c'est bien cette phase qui coinçait (a priori c'est rentré dans l'ordre).»

Comme tu le dis pour l'instant ça revient au meme resultat, mais la cause a des implications differentes dans l'evolution de MacOS. Si comme je l'evoque dans mon avant dernier paragraphe il s'agit pas d'un bug mais d'un changement de procedure d'analyse en vu de rendre unique l'OS de la machine, c'est de mauvais pour l'avenir. Mais ça colle helas avec l'arrivée des puces T2 dans les iMac Pro et la generalisation d'un SSD pur Apple soudé sur la CM.

avatar Avenger | 

@ petergab

L'installeur récupéré sur le store est générique et est donc valable pour tous les Mac!

De plus, durant mes dernières années où je faisais de la maintenance Mac, je préparais, à partir de mon Macbook Pro, une image disque de chaque Os (rien à voir avec une clé USB bootable), en y incluant tous les utilitaires indispensables à mes yeux. Ensuite, je transférais l'image disque nécessaire sur le Mac de destination, pour une clean install ou suite à un remplacement de disque. Et ce peu importe le modèle de Mac cible( Macbook, iMac, Mac Mini, Mac Pro, ...)! Cela n'a jamais été source de problèmes.

Les utilisateurs et données étaient ensuite récupérés via l'assistant de Migration à partir d'une sauvegarde TimeMachine ou du disque remplacé.

avatar petergab | 

@Jeckill13, r e m y, Avenger

Merci pour ces infos, j'ai toujours préparé des installateurs pour les versions précédentes, mais j'avais lu l'information comme quoi il y avait une modification du Firmware dans HS. Si elle se fait "au vol", c'est parfait :)

avatar Avenger | 

@ petergab

Oups, j'oubliais en effet la mise à jour Firmware, nécessaire sur les Mac sortis avant High Sierra. Cela change la donne et une image disque d'une installation de High Sierra ne pourra pas être transférée sur un Mac dont la mise à jour Firmware n'aura pas été réalisée. En tous cas, pas à ma connaissance. A tester.

avatar r e m y | 

@Avenger

Ça peut fonctionner du moins tant que le disque est en hfs+.
S'il passe en APFS, il ne saura plus démarrer car il ne reconnaîtra pas la structure du disque.

avatar dumas75 | 

Supprimer le téléchargement et recommencer à un meilleur moment et ça fonctionne

avatar Avenger | 

Comme très, très souvent, mieux vaut privilégier le téléchargement et l'installation de la version Combo!

avatar petergab | 

Cette info concerne une "nouvelle" installation HS et non une mise à jour. Mais je suis d'accord pour l'installation de la mise à jour combinée.

avatar Avenger | 

@ petergab

En effet, mea culpa :)

avatar r e m y | 

@Avenger

Attention, la version combo 10.13.4 est incomplète car elle ne comporte pas la dernière mise à jour de sécurité qu'il faudra donc installer en plus.

avatar Moonwalker | 

Elle n’est pas « incomplète ». Elle est plus ancienne que la dernière Security Update, c’est tout.

avatar C1rc3@0rc | 

@r e m y

«Attention, la version combo 10.13.4 est incomplète car elle ne comporte pas la dernière mise à jour de sécurité qu'il faudra donc installer en plus.»

Serieux? Ils laissent la combo pas a jour et incomplète?
Donc pour le déploiement de parc c'est la mouise!
De mieux en mieux!

avatar r e m y | 

@C1rc3@0rc

Il y a plusieurs versions de 10.13.4 (déjà 2) comme il y a eu plusieurs versions de 10.13.3, plusieurs versions de 10.13.2.... au fil des mises à jour de sécurité qui ne changent que le numéro de build de la version de macOS en cours.
La combo correspond à chaque fois à la toute première build de cette 10.13.x

avatar Avenger | 

@ remy,

Pour tout ce qui est mises à jour spécifiques hors Os (sécurité, drivers, etc.), je laisse le soin à l'App Store de me les signaler.

avatar r e m y | 

@Avenger

Si tu as installé la combo 10.13.4, l'appStore te signalera alors la nouvelle mise à jour 10.13.4 (intégrant une nouvelle mise à jour de sécurité).

Si tu es adepte de la combo, il faut ensuite que tu ailles chercher toi-même la mise à jour de sécurité qui désormais la complète.

Mais on est hors sujet par rapport au problème évoqué dans la news.

avatar Avenger | 

@ remy

Cela me semble très bizarre mais je veux bien te croire. Je pense avoir récupéré la version combo dès sa sortie mais je ne l'ai pas encore installée. Je vais pouvoir vérifier cela. Si c'est bien le cas, c'est qu'ils sont encore plus stupides que je ne le pense, chez Apple!

avatar ataredg | 

Vu le prix qu'on paie faut pas non plus s'attendre à ce que tout fonctionne correctement !

avatar lmouillart | 

Ah, maintenant la qualité d'un produit dépend de son tarif ?

Pages

CONNEXION UTILISATEUR